Guilds
Get the role rewards changes for a specific level
GET
apiKeyheader
X-Api-Key<token>The user's API key to authenticate requests
guildId*SnowflakeA Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19level*integerThe new level of the user
Range
0 <= value <= 10000userId*SnowflakeA Discord snowflake identifier. Currently, this is not used but may be in the future
Match
^[1-9]\d+$Length
17 <= length <= 19Default Response
application/json- response
addRoles*array<>The roles that the user should be given. This does not currently take into account the roles the user has
removeRoles*array<>The roles that the user should be removed from. This does not currently take into account the roles the user has
curl -X GET 'https://api.lurkr.gg/v2/guilds/stringstringstrin/role-rewards/level?level=0&userId=stringstringstrin'Example Response
{ "addRoles": [ "stringstringstrin" ], "removeRoles": [ "stringstringstrin" ]}